CAPM.alpha {PerformanceAnalytics} | R Documentation

## calculate single factor model (CAPM) alpha

### Description

This is a wrapper for calculating a single factor model (CAPM) alpha.

### Usage

    CAPM.alpha(Ra, Rb, Rf = 0)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`Rf` | risk free rate, in same period as your returns

### Details

"Alpha" purports to be a measure of a manager's skill by measuring the portion of the managers returns that are not attributable to "Beta", or the portion of performance attributable to a benchmark.

While the classical CAPM has been almost completely discredited by the literature, it is an example of a simple single factor model, comparing an asset to any arbitrary benchmark.

### Author(s)

Peter Carl

### References

Sharpe, W.F. Capital Asset Prices: A theory of market equilibrium under conditions of risk. Journal of finance, vol 19, 1964, 425-442.
Ruppert, David. Statistics and Finance, an Introduction. Springer. 2004.

### See Also

`CAPM.beta` `CAPM.utils`

### Examples

    # First we load the data
        data(managers)
        CAPM.alpha(managers[,1,drop=FALSE],
    			managers[,8,drop=FALSE],
    			Rf=.035/12)
        CAPM.alpha(managers[,1,drop=FALSE],
    			managers[,8,drop=FALSE],
    			Rf = managers[,10,drop=FALSE])
        CAPM.alpha(managers[,1:6],
    			managers[,8,drop=FALSE],
    			Rf=.035/12)
        CAPM.alpha(managers[,1:6],
    			managers[,8,drop=FALSE],
    			Rf = managers[,10,drop=FALSE])
        CAPM.alpha(managers[,1:6],
    			managers[,8:7,drop=FALSE],
    			Rf=.035/12)
        CAPM.alpha(managers[,1:6],
    			managers[,8:7,drop=FALSE],
    			Rf = managers[,10,drop=FALSE])

[Package PerformanceAnalytics version 1.5.3 Index]